/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.util;

import org.activemq.ActiveMQConnection;

import javax.jms.Connection;
import javax.jms.JMSException;

/**
 * A JMS 1.1 log4j appender which uses ActiveMQ by default and does not require any JNDI
 * configurations
 *
 * @version $Revision: 1.1.1.1 $
 */
public class JmsLogAppender extends JmsLogAppenderSupport {
    private String uri = "tcp://localhost:61616";
    private String userName;
    private String password;

    public JmsLogAppender() {
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    protected Connection createConnection() throws JMSException {
        if (userName != null) {
            return ActiveMQConnection.makeConnection(userName, password, uri);
        }
        else {
            return ActiveMQConnection.makeConnection(uri);
        }
    }
}
